/******************************************************************************
*	File		-	editor_asset.h
*	Author		-	Joey Pollack
*	Date		-	2022/02/22 (y/m/d)
*	Mod Date	-	2022/02/22 (y/m/d)
*	Description	-	Editor assets base class
******************************************************************************/

#include "editor_asset.h"

namespace lunarium { namespace editor {

    EditorAsset::EditorAsset(AssetType type)
        : mType(type)
    {
        
    }


    AssetType EditorAsset::GetType()
    {
        return mType;
    }

    uint64_t EditorAsset::GetID()
    {
        return mID;
    }

    std::filesystem::path EditorAsset::GetFileLocation()
    {
        return mLocation;
    }

}}